<?xml version="1.0" encoding="UTF-8"?>
<drawing version="7">
    <attr value="spartan3" name="DeviceFamilyName">
        <trait delete="all:0" />
        <trait editname="all:0" />
        <trait edittrait="all:0" />
    </attr>
    <netlist>
        <signal name="XLXN_2" />
        <signal name="XLXN_20" />
        <signal name="XLXN_7" />
        <signal name="Cout" />
        <signal name="A" />
        <signal name="Cin" />
        <signal name="B" />
        <signal name="Sum" />
        <signal name="XLXN_1" />
        <port polarity="Output" name="Cout" />
        <port polarity="Input" name="A" />
        <port polarity="Input" name="Cin" />
        <port polarity="Input" name="B" />
        <port polarity="Output" name="Sum" />
        <blockdef name="half_adder">
            <timestamp>2015-8-14T14:13:8</timestamp>
            <rect width="256" x="64" y="-128" height="128" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <line x2="384" y1="-96" y2="-96" x1="320" />
            <line x2="384" y1="-32" y2="-32" x1="320" />
        </blockdef>
        <blockdef name="or2">
            <timestamp>2000-1-1T10:10:10</timestamp>
            <line x2="64" y1="-64" y2="-64" x1="0" />
            <line x2="64" y1="-128" y2="-128" x1="0" />
            <line x2="192" y1="-96" y2="-96" x1="256" />
            <arc ex="192" ey="-96" sx="112" sy="-48" r="88" cx="116" cy="-136" />
            <arc ex="48" ey="-144" sx="48" sy="-48" r="56" cx="16" cy="-96" />
            <line x2="48" y1="-144" y2="-144" x1="112" />
            <arc ex="112" ey="-144" sx="192" sy="-96" r="88" cx="116" cy="-56" />
            <line x2="48" y1="-48" y2="-48" x1="112" />
        </blockdef>
        <block symbolname="half_adder" name="HA1">
            <blockpin signalname="XLXN_7" name="A" />
            <blockpin signalname="Cin" name="B" />
            <blockpin signalname="XLXN_2" name="Cout" />
            <blockpin signalname="Sum" name="Sum" />
        </block>
        <block symbolname="or2" name="XLXI_3">
            <blockpin signalname="XLXN_2" name="I0" />
            <blockpin signalname="XLXN_1" name="I1" />
            <blockpin signalname="Cout" name="O" />
        </block>
        <block symbolname="half_adder" name="HA0">
            <blockpin signalname="A" name="A" />
            <blockpin signalname="B" name="B" />
            <blockpin signalname="XLXN_1" name="Cout" />
            <blockpin signalname="XLXN_7" name="Sum" />
        </block>
    </netlist>
    <sheet sheetnum="1" width="1760" height="1360">
        <instance x="528" y="688" name="HA1" orien="R0">
        </instance>
        <branch name="XLXN_2">
            <wire x2="1024" y1="592" y2="592" x1="912" />
            <wire x2="1024" y1="304" y2="592" x1="1024" />
            <wire x2="1120" y1="304" y2="304" x1="1024" />
            <wire x2="1136" y1="304" y2="304" x1="1120" />
        </branch>
        <branch name="XLXN_7">
            <wire x2="464" y1="432" y2="592" x1="464" />
            <wire x2="512" y1="592" y2="592" x1="464" />
            <wire x2="528" y1="592" y2="592" x1="512" />
            <wire x2="976" y1="432" y2="432" x1="464" />
            <wire x2="928" y1="304" y2="304" x1="912" />
            <wire x2="976" y1="304" y2="304" x1="928" />
            <wire x2="976" y1="304" y2="432" x1="976" />
        </branch>
        <instance x="1136" y="368" name="XLXI_3" orien="R0" />
        <branch name="Cout">
            <wire x2="1408" y1="272" y2="272" x1="1392" />
            <wire x2="1456" y1="272" y2="272" x1="1408" />
        </branch>
        <branch name="A">
            <wire x2="288" y1="240" y2="240" x1="272" />
            <wire x2="528" y1="240" y2="240" x1="288" />
        </branch>
        <branch name="Cin">
            <wire x2="304" y1="368" y2="368" x1="288" />
            <wire x2="416" y1="368" y2="368" x1="304" />
            <wire x2="416" y1="368" y2="656" x1="416" />
            <wire x2="512" y1="656" y2="656" x1="416" />
            <wire x2="528" y1="656" y2="656" x1="512" />
        </branch>
        <branch name="B">
            <wire x2="288" y1="304" y2="304" x1="272" />
            <wire x2="512" y1="304" y2="304" x1="288" />
            <wire x2="528" y1="304" y2="304" x1="512" />
        </branch>
        <branch name="Sum">
            <wire x2="928" y1="656" y2="656" x1="912" />
            <wire x2="1440" y1="656" y2="656" x1="928" />
            <wire x2="1456" y1="656" y2="656" x1="1440" />
        </branch>
        <branch name="XLXN_1">
            <wire x2="1120" y1="240" y2="240" x1="912" />
            <wire x2="1136" y1="240" y2="240" x1="1120" />
        </branch>
        <instance x="528" y="336" name="HA0" orien="R0">
        </instance>
        <iomarker fontsize="28" x="272" y="240" name="A" orien="R180" />
        <iomarker fontsize="28" x="272" y="304" name="B" orien="R180" />
        <iomarker fontsize="28" x="288" y="368" name="Cin" orien="R180" />
        <iomarker fontsize="28" x="1456" y="656" name="Sum" orien="R0" />
        <iomarker fontsize="28" x="1456" y="272" name="Cout" orien="R0" />
        <text style="fontsize:40;fontname:Arial" x="568" y="804">Cin   A   B         Cout   Sum</text>
        <rect width="548" x="528" y="756" height="396" />
        <text style="fontsize:40;fontname:Arial" x="564" y="856">  0     0   0            0         0</text>
        <text style="fontsize:40;fontname:Arial" x="564" y="892">  0     0   1            0         1</text>
        <text style="fontsize:40;fontname:Arial" x="564" y="928">  0     1   0            0         1</text>
        <text style="fontsize:40;fontname:Arial" x="564" y="1000">  1     0   0            0         1</text>
        <text style="fontsize:40;fontname:Arial" x="564" y="1036">  1     0   1            1         0</text>
        <text style="fontsize:40;fontname:Arial" x="564" y="1072">  1     1   0            1         0</text>
        <text style="fontsize:40;fontname:Arial" x="564" y="1104">  1     1   1            1         1</text>
        <text style="fontsize:40;fontname:Arial" x="564" y="964">  0     1   1            1         0</text>
    </sheet>
</drawing>